Subject: bug#42824: 26.3; Feature request: implement 'smooth scroll' in djvu.el package

From: dalanicolai <[email-masked]>
Date: Thu, 29 Oct 2020 15:54:30 +0100

In my previous mail I meant 'it seems to handle things fine also in the
text-based mode'

On Thu, 29 Oct 2020 at 15:53, dalanicolai <[email-masked]> wrote:

> Well, it is just more or less the function
> `doc-view-next-line-or-next-page` (i.e. `C-n`) slightly adapted to
> djvu-mode, because djvu-mode works slightly differently.
> It is meant for `djvu-image-mode-only` but I have simply bound it in the
> `djvu-read-mode-map` and it seems to handle things fine.
> It is just a small addition that slightly improves the scrolling
> experience (i.e. it becomes like that in doc-view).
>
> While I am here anyway, I have also created some code to implement
> `djvu-occur`
> similar to `pdf-occur` (but synchronous instead of async) which works fine
> for most djvu documents. Also I have added some annotation drawing features.
> I have created a new github repo for it here
> <https://github.com/dalanicolai/djvu2.el>. So if you are interested you
> could have a look at it or even test it.
> However, I am not a very experienced elisp programmer, and although the
> `djvu-occur` code could probably could get merged without too much
> improvements, the code for annotation drawing can get cleaned up quite a
> bit.
>
> Anyway, I am just informing you about it. I don't expect anyone to spend
> much time on it, as there is a good working pdf-tools already.
> I am just playing with it a little, becauseI I think it would be great if
> djvu.el and pdf-tools.el functionality could all get merged into doc-view
> at some point.
> But I fully understand that time and resources of volunteers generally are
> very limited and that it does not have too much priority anyway (as
> mentioned in djvu.el, djview already exists).
>
> Okay, getting very much off topic here. In short, to me it seems that
> these scrolling functions handle cases consistently enough. Maybe they can
> be added as an option (and get documented as a not well-tested hack). If
> the code was on github/gitlab/etc, I would just have created an issue and
> there could be made a reference to the issue for people interested.
>
> On Wed, 28 Oct 2020 at 20:45, Roland Winkler <[email-masked]> wrote:
>
>> On Tue Oct 27 2020 dalanicolai wrote:
>> > FYI it is inspired by `pdf-view-next-line-or-next-page` (and
>> > complement) of the pdf-tools package.
>> >
>> > On Mon, 26 Oct 2020 at 22:43, Lars Ingebrigtsen <[email-masked]> wrote:
>> >
>> >     Roland, could you take a look at this suggestion -- I've not used
>> >     djvu.el myself, so I'm not sure whether this would make sense or
>> not:
>>
>> Thanks, I want to see how this can be used with Djvu mode.
>>
>> Is there a generic keybinding for similar commands in other modes?
>>
>> Are the suggested commands to be used with djvu-image-mode only or
>> also with the text-based Djvu mode?  Certainly, these use cases
>> should be handled consistently.
>>
>